Package uk.ac.starlink.vo

## Interface UwsJobInfo

-     public interface UwsJobInfo

  Describes the information about a UWS Job which can be retrieved from a UWS server by retrieving the job's <uws:job> element.
  Since:
    4 May 2011
  Author:
    Mark Taylor
  See Also:
    UWS 1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `UwsJobInfo.Error` | Represents error information associated with a UWS job.
    `static interface` | `UwsJobInfo.Parameter` | Represents a parameter associated with a UWS job.
    `static interface` | `UwsJobInfo.Result` | Represents a result associated with a UWS job.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDestruction​()` | Returns this job's destruction time.
    `java.lang.String` | `getEndTime​()` | Returns this job's end time, if it's ended.
    `UwsJobInfo.Error` | `getError​()` | Returns any error information associated with this job.
    `java.lang.String` | `getExecutionDuration​()` | Returns the maximum wall-clock time that this job is permitted to run for, in seconds.
    `java.lang.String` | `getJobId​()` | Returns this job's ID, unique for this UWS service.
    `java.lang.String` | `getOwnerId​()` | Returns this job's owner ID, blank unless authentication is in use.
    `UwsJobInfo.Parameter[]` | `getParameters​()` | Returns the list of parameter objects associated with this job.
    `java.lang.String` | `getPhase​()` | Returns this job's current phase.
    `java.lang.String` | `getQuote​()` | Returns this job's quoted completion time, if any.
    `UwsJobInfo.Result[]` | `getResults​()` | Returns the list of result objects associted with this job.
    `java.lang.String` | `getRunId​()` | Returns this job's run ID, often left blank.
    `java.lang.String` | `getStartTime​()` | Returns this job's start time, if it's started.
    `java.lang.String` | `getUwsVersion​()` | Returns the version of UWS with which this job identifies itself.

- - ### Method Detail

    - #### getUwsVersion

          java.lang.String getUwsVersion​()

      Returns the version of UWS with which this job identifies itself. A null return means that the `version` attribute is absent from the <job> start tag; that ought to indicate that version 1.0 is in use.
      Returns:
        value of `version` attribute in `<job>` element

    - #### getJobId

          java.lang.String getJobId​()

      Returns this job's ID, unique for this UWS service.
      Returns:
        job ID

    - #### getRunId

          java.lang.String getRunId​()

      Returns this job's run ID, often left blank.
      Returns:
        run ID

    - #### getOwnerId

          java.lang.String getOwnerId​()

      Returns this job's owner ID, blank unless authentication is in use.
      Returns:
        owner authorization information

    - #### getPhase

          java.lang.String getPhase​()

      Returns this job's current phase.
      Returns:
        phase
      See Also:
        `UwsStage`

    - #### getQuote

          java.lang.String getQuote​()

      Returns this job's quoted completion time, if any.
      Returns:
        quote as an ISO-8601 time

    - #### getStartTime

          java.lang.String getStartTime​()

      Returns this job's start time, if it's started.
      Returns:
        start time in ISO-8601 format

    - #### getEndTime

          java.lang.String getEndTime​()

      Returns this job's end time, if it's ended.
      Returns:
        end time in ISO-8601 format

    - #### getExecutionDuration

          java.lang.String getExecutionDuration​()

      Returns the maximum wall-clock time that this job is permitted to run for, in seconds. Zero indicates unlimited.
      Returns:
        max duration in seconds

    - #### getDestruction

          java.lang.String getDestruction​()

      Returns this job's destruction time.
      Returns:
        time after which the job will be removed in ISO-8601 format

    - #### getParameters

          UwsJobInfo.Parameter[] getParameters​()

      Returns the list of parameter objects associated with this job.
      Returns:
        parameter list

    - #### getResults

          UwsJobInfo.Result[] getResults​()

      Returns the list of result objects associted with this job.
      Returns:
        result list

    - #### getError

          UwsJobInfo.Error getError​()

      Returns any error information associated with this job.
      Returns:
        error object

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.